Class | ActiveRecord::ConnectionAdapters::SQLiteAdapter
In: | lib/active_record/connection_adapters/sqlite_adapter.rb
Parent: | AbstractAdapter

The SQLite adapter works with both the 2.x and 3.x series of SQLite with the sqlite-ruby drivers (available both as gems and from rubyforge.org/projects/sqlite-ruby/).

Options:

- `:database` — Path to the database file.

### Methods

catch_schema_changes default_primary_key_type disconnect! empty_insert_statement rename_table requires_reloading? select_rows sqlite_version table_structure

### Public Instance methods

disconnect!()
empty_insert_statement(table_name)
rename_table(name, new_name)
requires_reloading?()
select_rows(sql, name = nil)

### Protected Instance methods

catch_schema_changes() {|| ...}
default_primary_key_type()
sqlite_version()
table_structure(table_name)

[Validate]